require 'test_helper'

class ActiveadminCms::PagesServiceTest < ActiveSupport::TestCase
  let(:subject) { ActiveadminCms::PagesService }
  let(:page) { create(:page) }

  describe '#publish' do
    let(:page) { create(:draft_page) }
    it 'should change status to published' do
      subject.publish(page)
      assert_equal page.reload.published?, true
    end

    it 'should move content from draft' do
      page.draft_content = "new content"
      subject.publish(page)
      assert_equal page.reload.content, "new content"
    end
  end
end
